#ifndef ETHERNET_FINAL_LAYER_H
#define ETHERNET_FINAL_LAYER_H

#include "Layer.hh"
#include "Params.hh"

class EthernetLayer : public Layer {
    Params _params;
  public:
    inline EthernetLayer() : Layer(), _params() {}
    EthernetLayer(const std::string & type, const std::string & param);
    virtual ~EthernetLayer() {}

    virtual void sendData(const OCTETSTRING& data, const Params& params);
    virtual void receiveData(const OCTETSTRING& data, const Params& info);
};

#endif
